################################################################

compPourc <- function(ia,na,ib,nb) {

################################################################

 pa  <- ia / na ;
 pb  <- ib / nb ;
 p   <- (ia+ib)/(na+nb)
 dp  <- pa - pb
 df  <- abs(dp)
 q   <- p*(1-p)*(1/na+1/nb)
 r <- 1
 eps <- 0
 r   <- sqrt(q)
 eps <- df/r

 cat("\n COMPARAISON DE POURCENTAGES\n\n") ;
 cat("    population A,  ",formatC(ia,width=4)," individus marqus sur ",formatC(na,width=4),
     " soit une proportion de ",formatC(pa,format="f",digits=3),"\n")
 cat("    population B,  ",formatC(ib,width=4)," individus marqus sur ",formatC(nb,width=4),
     " soit une proportion de ",formatC(pb,format="f",digits=3),"\n")
 cat("    globalisation, ",formatC(ia+ib,width=4)," individus marqus sur ",formatC(na+nb,width=4),
     " soit une proportion de ",formatC(p,format="f",digits=3),"\n")
 cat("\n") ;
 cat("    cart-rduit : ",formatC(eps,format="f",digits=4),"\n\n") ;
 cat("    au seuil de 5 % soit 1.96, on peut ")
 if (eps<1.96) {
    cat("accepter")
 } else {
    cat("refuser")
 } ; # fin de si
 cat(" l'hypothse d'galit des pourcentages.\n\n") ;


} ; # fin de fonction  compPourc

################################################################

compMoyData <- function( varA, varB ) {

################################################################

 # modification au 23 avril 2004 : utilisation de variance estime
 # et non pas variance exacte (pour suivre sas)

 na <- length(varA)
 ma <- sum(varA)/na
 va <- (sum(varA*varA)/na-ma*ma)*na/(na-1)
 sa <- sqrt(va)
 ca <- round(100*sa/ma)
 wa <- va/na

 nb <- length(varB)
 mb <- sum(varB)/nb
 vb <- (sum(varB*varB)/nb-mb*mb)*nb/(nb-1)
 sb <- sqrt(vb)
 cb <- round(100*sb/mb)
 wb <- vb/nb

 nu <- abs(ma-mb)
 de <- wa+wb
 r  <- sqrt(de)
 delta <- nu/r

 cat("\n COMPARAISON DE MOYENNES (valeurs fournies)\n\n") ;

 cat("    Variable    nbVal      Moyenne    Variance     Ecart-type     Cdv\n") ;
 cat("       A  ",formatC(na,format="d",width=9),
                  formatC(ma,format="f",width=12,digits=3),
                  formatC(va,format="f",width=12,digits=3),
                  formatC(sa,format="f",width=12,digits=3),
                  formatC(ca,format="d",width=9)," %\n") ;
 cat("       B  ",formatC(nb,format="d",width=9),
                  formatC(mb,format="f",width=12,digits=3),
                  formatC(vb,format="f",width=12,digits=3),
                  formatC(sb,format="f",width=12,digits=3),
                  formatC(cb,format="d",width=9)," %\n") ;

 cat("\n")
 cat("    diffrence rduite : ",formatC(delta,format="f",digits=4),"\n\n") ;
 cat("    au seuil de 5 % soit 1.96, on peut ")
 if (delta<1.96) {
    cat("accepter")
 } else {
    cat("refuser")
 } ; # fin de si
 cat(" l'hypothse d'galit des moyennes.\n\n") ;

} ; # fin de function compMoyData

################################################################

compMoyNoData <- function(na,ma,va,nb,mb,vb) {

################################################################

 sa <- sqrt(va)
 ca <- round(100*sa/ma)
 wa <- va/na

 sb <- sqrt(vb)
 cb <- round(100*sb/mb)
 wb <- vb/nb

 nu <- abs(ma-mb)
 de <- wa+wb
 r  <- sqrt(de)
 delta <- nu/r

 cat("\n COMPARAISON DE MOYENNES (valeurs non fournies)\n\n") ;

 cat("    Variable    nbVal      Moyenne    Variance     Ecart-type      Cdv\n") ;
 cat("       A  ",formatC(na,format="d",width=9),
                  formatC(ma,format="f",width=12,digits=3),
                  formatC(va,format="f",width=12,digits=3),
                  formatC(sa,format="f",width=12,digits=3),
                  formatC(ca,format="d",width=9)," %\n") ;
 cat("       B  ",formatC(nb,format="d",width=9),
                  formatC(mb,format="f",width=12,digits=3),
                  formatC(vb,format="f",width=12,digits=3),
                  formatC(sb,format="f",width=12,digits=3),
                  formatC(cb,format="d",width=9)," %\n") ;

 cat("\n")
 cat("    diffrence rduite : ",formatC(delta,format="f",digits=4),"\n\n") ;
 cat("    au seuil de 5 % soit 1.96, on peut ")
 if (delta<1.96) {
    cat("accepter")
 } else {
    cat("refuser")
 } ; # fin de si
 cat(" l'hypothse d'galit des moyennes.\n\n") ;

} ; # fin de function compMoyNoData
